PETSc version 3.15.5
Fix/Edit manual page

# TSSetSaveTrajectory

Causes the TS to save its solutions as it iterates forward in time in a TSTrajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetSaveTrajectory(TS ts)

Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()

### Options Database

| -ts_save_trajectory | - saves the trajectory to a file
| -ts_trajectory_type type

Note: This routine should be called after all TS options have been set

The TSTRAJECTORYVISUALIZATION files can be loaded into Python with $PETSC_DIR/lib/petsc/bin/PetscBinaryIOTrajectory.py and MATLAB with $PETSC_DIR/share/petsc/matlab/PetscReadBinaryTrajectory.m

### See Also

TSGetTrajectory(), TSAdjointSolve()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex23fwdadj.c.html
src/ts/tutorials/ex20adj.c.html
src/ts/tutorials/ex20opt_p.c.html
src/ts/tutorials/ex20opt_ic.c.html
src/ts/tutorials/ex20td.c.html
src/ts/tutorials/ex40.c.html
src/ts/tutorials/ex41.c.html
src/ts/tutorials/ex50.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages